#!/usr/bin/env node
'use strict';

require('dotenv').config()
const KontistClient = require("../kontist-client");
const kontist = new KontistClient({ user: process.env.KONTIST_USER, password: process.env.KONTIST_PASSWORD });
const program = require('commander');

program
    .command('list')
    .action(() => {
        kontist.getAccounts()
            .then((accounts) => {
                process.stdout.write(JSON.stringify(accounts, null, 4));
            }, (error) => { throw error })
            .catch((error) => {
                console.error(error);
            });
    });

program.parse(process.argv);
if (!process.argv.slice(2).length) {
    program.outputHelp();
}
