#!/usr/bin/env node
'use strict';

require('dotenv').config()
const KontistClient = require("../kontist-client");
const kontist = new KontistClient({ user: process.env.KONTIST_USER, password: process.env.KONTIST_PASSWORD });
const program = require('commander');

program
    .command('export <year> <month>', 'download a PDF, e.g. export 2017 02')
    .action((year, month) => {
        kontist.getAccounts()
            .then((account) => {
                return kontist.getStatement(account[0].id, year, month);
            }, (error) => { throw error })
            .then((statement) => {
                process.stdout.write(statement);
            }, (error) => { throw error })
            .catch((error) => {
                console.error(error);
            });
    });

program.parse(process.argv);
if (!process.argv.slice(2).length) {
    program.outputHelp();
}
